> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet



## OpenAPI

````yaml get /wallets/{app_id}/{wallet_id}
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /wallets/{app_id}/{wallet_id}:
    get:
      operationId: WalletsController_fetch
      parameters:
        - name: wallet_id
          required: true
          in: path
          schema:
            type: string
        - name: app_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletDto'
components:
  schemas:
    WalletDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          enum:
            - near
            - evm
            - wax
            - solana
          type: string
        managed:
          type: boolean
        wallet_data:
          $ref: '#/components/schemas/WalletDataDto'
        app:
          $ref: '#/components/schemas/AppDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        magic_network:
          type: string
      required:
        - id
        - name
        - type
        - managed
        - wallet_data
        - app
        - created_at
        - updated_at
    WalletDataDto:
      type: object
      properties:
        near:
          $ref: '#/components/schemas/NearDataDto'
        evm:
          $ref: '#/components/schemas/EvmDataDto'
        wax:
          $ref: '#/components/schemas/WaxDataDto'
        solana:
          $ref: '#/components/schemas/SolanaDataDto'
    AppDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - individual
            - marketplace
        kyc_return_url:
          type: string
          nullable: true
        use_explorer:
          type: boolean
        permissions:
          $ref: '#/components/schemas/AppPermissionsDto'
        app_fee:
          type: number
        user:
          $ref: '#/components/schemas/UserProfileDto'
        is_member:
          type: boolean
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - type
        - kyc_return_url
        - use_explorer
    NearDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - mainnet
            - testnet
        account_id:
          type: string
        phrase_or_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
    EvmDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - ethereum
            - goerli
            - sepolia
            - avalanche
            - avalanche-fuji
            - bsc
            - bsc-testnet
            - polygon
            - polygon-mumbai
            - fantom
            - fantom-testnet
            - arbitrum
            - arbitrum-goerli
            - optimism
            - optimism-goerli
            - base
            - base-goerli
            - manta
            - manta-testnet
            - zksync-era
            - zksync-era-testnet
            - berachain-artio
        account_id:
          type: string
        private_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
    WaxDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - mainnet
            - testnet
        account_id:
          type: string
        permission:
          type: string
        public_key:
          type: string
        private_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
        - permission
        - public_key
        - private_key
    SolanaDataDto:
      type: object
      properties:
        network_id:
          type: string
          enum:
            - mainnet
            - devnet
        account_id:
          type: string
        private_key:
          type: string
        test_network:
          type: boolean
      required:
        - network_id
        - account_id
    AppPermissionsDto:
      type: object
      properties:
        can_view:
          type: boolean
        can_edit:
          type: boolean
        can_delete:
          type: boolean
        can_edit_members:
          type: boolean
      required:
        - can_view
        - can_edit
        - can_delete
    UserProfileDto:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
      required:
        - id
        - username
        - first_name
        - last_name

````